Package ghidra.framework.store

# Interface DataFileItem

All Superinterfaces:
  `FolderItem`

All Known Implementing Classes:
  `LocalDataFile`

public interface DataFileItem extends FolderItem
`DataFileItem` corresponds to a private serialized data file within a FileSystem. Methods are provided for opening the underlying file as an input or output stream.
NOTE: The use of DataFile is not encouraged and is not fully supported.

- ## Field Summary

  ### Fields inherited from interface ghidra.framework.store.FolderItem

  `DATABASE_FILE_TYPE, DATAFILE_FILE_TYPE, DEFAULT_CHECKOUT_ID, LATEST_VERSION, UNKNOWN_FILE_TYPE`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `InputStream`
  `getInputStream()`
  Open the current version of this item for reading.
  `InputStream`
  `getInputStream(int version)`
  Open a specific version of this item for reading.
  `OutputStream`
  `getOutputStream()`
  Open a new version of this item for writing.

  ### Methods inherited from interface ghidra.framework.store.FolderItem

  `canRecover, checkout, clearCheckout, delete, getCheckout, getCheckoutId, getCheckouts, getCheckoutVersion, getContentType, getContentTypeVersion, getCurrentVersion, getFileID, getLocalCheckoutVersion, getName, getParentPath, getPathName, getVersions, hasCheckouts, isCheckedOut, isCheckedOutExclusive, isCheckinActive, isReadOnly, isVersioned, lastModified, length, output, refresh, resetFileID, setCheckout, setContentTypeVersion, setReadOnly, terminateCheckout, updateCheckoutVersion`

- ## Method Details

  - ### getInputStream

    InputStream getInputStream() throws FileNotFoundException
    Open the current version of this item for reading.
    Returns:
      input stream
    Throws:
      `FileNotFoundException`

  - ### getOutputStream

    OutputStream getOutputStream() throws FileNotFoundException
    Open a new version of this item for writing.
    Returns:
      output stream.
    Throws:
      `FileNotFoundException`

  - ### getInputStream

    InputStream getInputStream(int version) throws FileNotFoundException
    Open a specific version of this item for reading.
    Returns:
      input stream
    Throws:
      `FileNotFoundException`